Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class UniformIntGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.UniformIntGen

    public class UniformIntGen

extends RandomVariateGenInt

This class implements a random variate generator for the uniform distribution over integers, over the interval [i, j]. Its mass function is

p(x) = 1/(j - i + 1) for x = i, i + 1,…, j

and 0 elsewhere.

Constructor Summary
`UniformIntGen(RandomStream s, int i, int j)` Creates a uniform random variate generator over the integers in the closed interval [i, j], using stream `s`.
`UniformIntGen(RandomStream s, UniformIntDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`int` | `getI()` Returns the parameter i.
`int` | `getJ()` Returns the parameter j.
`static int` | `nextInt(RandomStream s, int i, int j)` Generates a new uniform random variate over the interval [i, j], using stream `s`, by inversion.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt, nextInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformIntGen

    public UniformIntGen(RandomStream s,
                         int i,
                         int j)

  Creates a uniform random variate generator over the integers in the closed interval [i, j], using stream `s`.

### UniformIntGen

    public UniformIntGen(RandomStream s,
                         UniformIntDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextInt

    public static int nextInt(RandomStream s,
                              int i,
                              int j)

  Generates a new uniform random variate over the interval [i, j], using stream `s`, by inversion.

### getI

    public int getI()

  Returns the parameter i.

### getJ

    public int getJ()

  Returns the parameter j.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.